Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.util
Class StatusMessage

    java.lang.Object
      com.bea.apps.groupspace.util.StatusMessage

All Implemented Interfaces
  Serializable

    public class StatusMessage

extends Object
implements Serializable

A status message that can be e.g. displayed in the User Interface of an application. Designed to be used with Dynamic Content areas. Application can create these and then pass them to a StatusMessageHelper

See Also
  Serialized Form

Nested Class Summary
`static class` | `StatusMessage.MessageType` Supported message types.

Constructor Summary
`StatusMessage(StatusMessage.MessageType type, String key, Locale locale, Object... templateFillElements)`

Method Summary
`String` | `getFormattedMessage()`
`protected String` | `getTemplateFromBundle(String key, Locale locale)`
`StatusMessage.MessageType` | `getType()`
`protected void` | `setType(StatusMessage.MessageType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusMessage

    public StatusMessage(StatusMessage.MessageType type,
                         String key,
                         Locale locale,
                         Object... templateFillElements)

Method Detail

### getTemplateFromBundle

    protected String getTemplateFromBundle(String key,
                                           Locale locale)

### getType

    public StatusMessage.MessageType getType()

### setType

    protected void setType(StatusMessage.MessageType type)

### getFormattedMessage

    public String getFormattedMessage()

  Returns
    Returns the formatted StatusMessage.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved